Skip to main content
GET
/
v2
/
security
/
audit
/
batches
/
{batch_id}
Get Audit Batch
curl --request GET \
  --url https://api.valiqor.com/v2/security/audit/batches/{batch_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "code": "<string>",
  "total_items": 123,
  "unsafe_items": 123,
  "unsafe_rate": 123,
  "top_risk_category": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "unsafe_inputs": 123,
  "unsafe_input_rate": 123
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

batch_id
string
required

Response

Successful Response

Security audit batch information

id
string
required
project_id
string
required
name
string
required
code
string | null
required
total_items
integer
required
unsafe_items
integer
required
unsafe_rate
number | null
required
top_risk_category
string | null
required
status
string
required
created_at
string<date-time>
required
unsafe_inputs
integer | null
unsafe_input_rate
number | null